---
title: AudioParam.minValue
slug: Web/API/AudioParam/minValue
tags:
  - API
  - Audio
  - AudioParam
  - Property
  - Reference
  - Web Audio API
  - minValue
---
<p>{{APIRef("Web Audio API")}}</p>

<p class="summary"><span class="seoSummary">The <strong><code>minValue</code></strong> read-only property of the {{domxref("AudioParam")}} interface represents the minimum possible value for the parameter's nominal (effective) range.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>minVal</em> = <em>audioParam</em>.minValue;</pre>

<h3 id="Value">Value</h3>

<p>A floating-point {{jsxref("Number")}} indicating the minimum value permitted for the parameter's nominal range.</p>

<p>The default value of <code>minValue</code> is the minimum negative single-precision floating-point value (-340,282,346,638,528,859,811,704,183,484,516,925,440).</p>

<h2 id="Example">Example</h2>

<pre class="brush: js;highlight[3]">const audioCtx = new AudioContext();
const gainNode = audioCtx.createGain();
console.log(gainNode.gain.minValue); // -3.4028234663852886e38
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-audioparam-minvalue', 'minValue')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AudioParam.minValue")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("AudioParam.maxValue")}}</li>
</ul>
